Page MenuHomePhabricator

Small boxes in an edit conflict should have no whitespace inside the box
Closed, ResolvedPublic3 Story Points

Description

Problem
In the earlier mockups the boxes for conflicting paragraphs had white space included unless they reached a certain heights.

Solution

  • The heights of a box in an edit conflict is defined by the text it surrounds. There should be no white space inside the box (that isn't part of the text), as this could be misinterpreted as empty lines. Instead we have more whitespace between the boxes, preferably to the top on the small boxes.
  • If the box is too small for the radio button + explanatory text to fit in between, the radio buttons should be horizontally centered with the boxes.
  • If the box is big enough for radio buttons + explanatory text, they are aligned with the top as right now

See the mockup below

Details

Related Gerrit Patches:
mediawiki/extensions/TwoColConflict : master[WIP] Remove extra whitespace from boxes and fix button alignment

Event Timeline

Hanna_Petruschat_WMDE triaged this task as Normal priority.Jan 16 2018, 1:32 PM
Hanna_Petruschat_WMDE created this task.
Lea_WMDE updated the task description. (Show Details)Jan 16 2018, 3:40 PM
Lea_WMDE updated the task description. (Show Details)
Lea_WMDE set the point value for this task to 3.

Change 406594 had a related patch set uploaded (by Andrew-WMDE; owner: Andrew-WMDE):
[mediawiki/extensions/TwoColConflict@master] Remove extra whitespace from boxes and fix button alignment

https://gerrit.wikimedia.org/r/406594

Andrew-WMDE closed this task as Resolved.Feb 6 2018, 3:29 PM
Andrew-WMDE moved this task from Review to Done on the WMDE-QWERTY-Sprint-2018-01-23 board.
Tobi_WMDE_SW moved this task from Done to Demoed on the WMDE-QWERTY-Team board.Feb 20 2018, 4:48 PM

Change 406594 abandoned by WMDE-Fisch:
[WIP] Remove extra whitespace from boxes and fix button alignment

Reason:
Squashed in
I267de58c2a3f965b8eebfb545e6b417601527191

https://gerrit.wikimedia.org/r/406594